import resolve from 'rollup-plugin-node-resolve';
import commonjs from 'rollup-plugin-commonjs';
import babel from 'rollup-plugin-babel';
import uglify from 'rollup-plugin-uglify';

export default {
  input: './src/index.js',
  output: {
    file: 'index.js',
    format: 'cjs',
    sourcemap: true,
  },
  plugins: [
    resolve({
      customResolveOptions: {
        moduleDirectory: 'node_modules',
      },
    }),
    babel({
      babelrc: false,
      exclude: 'node_modules/**',
      presets: [['env', { modules: false }], 'react', 'stage-2'],
      plugins: ['external-helpers'],
    }),
    commonjs(),
    uglify({
      sourceMap: true,
    }),
  ],
  external: ['react'],
};
